Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455189 - Automake macros should be installed into %{_datadir}/aclocal
Summary: Automake macros should be installed into %{_datadir}/aclocal
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: apr
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 455002
TreeView+ depends on / blocked
 
Reported: 2008-07-13 19:34 UTC by Jochen Schmitt
Modified: 2008-07-15 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 22:32:52 UTC


Attachments (Terms of Use)
Suggested SPEC file to fix the reported bug (deleted)
2008-07-13 19:45 UTC, Jochen Schmitt
no flags Details

Description Jochen Schmitt 2008-07-13 19:34:28 UTC
The files build/apr*.m4 should be installed in &{_datadir}/aclocal

Comment 1 Jochen Schmitt 2008-07-13 19:35:51 UTC
Sorry, I think all *.m4 files should be installed into %{_datadir}/aclocal

Comment 2 Jochen Schmitt 2008-07-13 19:45:55 UTC
Created attachment 311667 [details]
Suggested SPEC file to fix the reported bug

Here a SPEC file which should fix the reported bug.

Comment 3 Bojan Smojver 2008-07-13 21:16:21 UTC
Not applicable. These are internal files used to build APR.

Comment 4 Jochen Schmitt 2008-07-14 14:14:06 UTC
Unfortunately, I have to inform you, that the configure.ac file of subcommander 
will refer on it, so it neccessary to include this files to %{_datadir}/aclocal

Comment 5 Bojan Smojver 2008-07-14 21:59:49 UTC
I have no idea what you're talking about. Could you please explain why these m4
files need to be installed, given they are used only by the build itself?

Joe, could you please comment on this?

Comment 6 Joe Orton 2008-07-15 08:08:56 UTC
The find_ap[ru].m4 files from apr and apr-util are intended for use by
third-party projects so could reasonably be included in datadir/aclocal; nothing
else needs to be nor should be.

Comment 7 Jochen Schmitt 2008-07-15 13:49:21 UTC
OK, thats sounds good, so let do it in the way you explain it.

Comment 8 Bojan Smojver 2008-07-15 22:32:52 UTC
Fixed in apr-1.3.2-2.fc10 and apr-util-1.3.2-7.fc10.


Note You need to log in before you can comment on or make changes to this bug.